- Testsigma REST APIs
Manage Environments
Elements
Test Plans
Upload Files
Get Project Wide Information
Upload & Update Test Data Profile
Fetch Test Results (All Levels)
Trigger Multiple Test Plans
Trigger Test Plans Remotely & Wait Until Completion
Run the Same Test Plan Multiple Times in Parallel
Schedule, Update & Delete a Test Plan Using API
Update Test Case Results Using API
Create and Update Values of Test Data Profile Using REST API
Rerun Test Cases from Run Results using API
Salesforce Metadata Refresh Using API
Manage Test Steps Using API
Manage Environments Using REST APIs
For some CI/CD pipelines, the URL of the Application Under Test (AUT) changes with every deployment. Manually updating it within the Testsigma App for every build can get tedious at scale. Environments API lets you read and update the URL of the Application under Test (AUT) dynamically after every build in your CI Pipeline.
Prerequisites
Before you begin, ensure that you have referred to:
- Documentationon generating API keys from Testsigma application.
Get an Environment
This endpoint retrieves details for a specific Environment.
| Request Type | GET |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/environments/<ENV_ID> |
| Response Body (Sample) | { |
The <ENV_ID> can be found in the URL of the Environment details page. Refer to the screenshot below:

NOTE:
To retrieve all environments, use this endpoint with the same method.
https://app.testsigma.com/api/v1/environments
Update an Environment
| Request Type | PUT |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/environments/<ENV_ID> |
| Authorization | Bearer <API_Token> |
| Request Body Type | JSON |
| Request Body | { |
Request Fields:
- name: This is the environment name.
- description: This is a description of the environment.
- createdById: This identifies the user who created the environment.
- updatedById: This identifies the user updating the environment.
- createdDate: This is the date and time the environment was created.
- updatedDate: This is the date and time the environment was last updated.
- createdAtEpoch: This shows the epoch timestamp when the environment was created.
- updatedAtEpoch: This shows the epoch timestamp when the environment was last updated.
- projectId: Id of the associated project.
NOTE:
The Request Body should include only the fields that are being updated or created.
Create an Environment
| Request Type | POST |
|---|---|
| Endpoint | https://app.testsigma.com/api/v1/environments |
| Authorization | Bearer <API_Token> |
| Request Body Type | JSON |
| Request Body |
|
Request Fields:
- name: This is the environment name.
- description: This is a description of the environment.
- createdById: This identifies the user who created the environment.
- updatedById: This identifies the user updating the environment.
- createdDate: This is the date and time the environment was created.
- updatedDate: This is the date and time the environment was last updated.
- createdAtEpoch: This shows the epoch timestamp when the environment was created.
- updatedAtEpoch: This shows the epoch timestamp when the environment was last updated.
- projectId: Id of the associated project.